## whoopsie 0.2.5

=== debian/changelog ===
whoopsie (0.2.5) quantal; urgency=low

  * Send the OopsText field so that we can generate a crash signature
    for KernelOops problems. This lets us bucket KernelOops problems
    together so they appear in the 'most common problems' table on
    https://errors.ubuntu.com.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 12 Oct 2012 15:25:22 +0100

whoopsie (0.2.4) quantal; urgency=low

  * Send the Tags field with the report so that we can create a view of
    just crashes of packages installed from $release-proposed.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 11 Oct 2012 14:36:51 +0100

whoopsie (0.2.3) quantal; urgency=low

  * Do not send the kernel core dump (VmCore) with the initial crash
    metadata.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 17 Sep 2012 10:30:19 +0100

whoopsie (0.2.2) quantal; urgency=low

  [ Brian Murray ]
  * Add LiveMediaBuild to acceptable fields (LP: #999816)  

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 29 Aug 2012 10:00:56 +0100

whoopsie (0.2.1) quantal; urgency=low

  * Provide a libwhoopsie library. This allows the control center panel
    via activity-log-manager to provide a 'Show Previous Reports'
    button.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 18 Jun 2012 09:32:46 +0100
