=== src/tests/Makefile ===
--- 
+++ 
@@ -39,22 +39,22 @@
 	$(foreach p, $^, ./$p -k;)
 
 $(test_parse_report_EXECUTABLE): $(test_parse_report_OBJECTS)
-	c99 $^ $(LIBS) -o $@
+	$(CC) -std=c99 $^ $(LIBS) -o $@
 $(test_utils_EXECUTABLE): $(test_utils_OBJECTS)
-	c99 $^ $(LIBS) -o $@
+	$(CC) -std=c99 $^ $(LIBS) -o $@
 $(test_monitor_EXECUTABLE): $(test_monitor_OBJECTS)
-	c99 $^ $(LIBS) -o $@
+	$(CC) -std=c99 $^ $(LIBS) -o $@
 $(test_identifier_EXECUTABLE): $(test_identifier_OBJECTS)
-	c99 $^ $(LIBS) -o $@
+	$(CC) -std=c99 $^ $(LIBS) -o $@
 
 test_parse_report_coverage: $(test_parse_report_OBJECTS:.test.o=.coverage.o)
-	c99 $^ $(LIBS) -lgcov -o $@
+	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
 test_utils_coverage: $(test_utils_OBJECTS:.test.o=.coverage.o)
-	c99 $^ $(LIBS) -lgcov -o $@
+	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
 test_monitor_coverage: $(test_monitor_OBJECTS:.test.o=.coverage.o)
-	c99 $^ $(LIBS) -lgcov -o $@
+	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
 test_identifier_coverage: $(test_identifier_OBJECTS:.test.o=.coverage.o)
-	c99 $^ $(LIBS) -lgcov -o $@
+	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
 coverage: test_parse_report_coverage test_utils_coverage test_monitor_coverage test_identifier_coverage
 	$(foreach p, $^, ./$p -k;)
 	$(foreach p, $(wildcard ../*.c), gcov $p -o $(p:.c=.coverage.o);)
@@ -78,6 +78,6 @@
 		-name '*.gcov' \) -delete
 
 %.coverage.o: %.c
-	c99 -c -o $@ $^ $(CFLAGS) --coverage -O0
+	$(CC) -std=c99 -c -o $@ $^ $(CFLAGS) --coverage -O0
 %.test.o: %.c
-	c99 -c -o $@ $^ $(CFLAGS)
+	$(CC) -std=c99 -c -o $@ $^ $(CFLAGS)
