=== debian/changelog ===
whoopsie (0.2.7.1) quantal-proposed; urgency=low

  * Do not modify the .uploaded file corresponding to a .crash file when
    starting up (LP: #1084311)

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 Dec 2012 16:26:40 -0800

whoopsie (0.2.7) quantal-proposed; urgency=low

  * Also include the InstallationMedia field so that we can tie the
    installation date to a release (LP: #1071255).

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 25 Oct 2012 11:46:12 +0100

whoopsie (0.2.6) quantal-proposed; urgency=low

  * Send the UpgradeStatus and InstallationDate fields from apport (LP:
    #1070400).

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 24 Oct 2012 11:05:50 +0100
