## whoopsie 0.2.7.2

=== debian/changelog ===
whoopsie (0.2.7.2) quantal-proposed; urgency=low

  * Continue to process the existing crash reports every two hours, not
    just once after two hours (LP: #1205374).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 29 Jul 2013 17:12:16 +0100
