## whoopsie 0.2.13

=== Makefile ===
--- 
+++ 
@@ -9,10 +9,10 @@
 				 $(shell libgcrypt-config --libs) \
 				 $(LDFLAGS)
 
-whoopsie_CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl) \
+whoopsie_CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl libnm-glib) \
 	   -g -Ilib -Wall -Werror -Os -DVERSION=\"$(VERSION)\" \
 	   $(CFLAGS) $(CPPFLAGS)
-whoopsie_LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) -lcap \
+whoopsie_LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl libnm-glib) -lcap \
 			  $(LDFLAGS)
 SOURCES=src/whoopsie.c \
 		src/utils.c \
@@ -48,7 +48,8 @@
 	if type cppcheck >/dev/null 2>&1; then \
 		cppcheck . --error-exitcode=1; \
 	fi
-	find -name "*.py" -o -name "*.wsgi" | xargs pyflakes
+	find -name "*.py" | xargs pyflakes
+	@APPORT_REPORT_DIR=$(shell mktemp -d) ./tools/check_valgrind
 coverage:
 	$(MAKE) -C src/tests coverage
 %.o: %.c
