=== debian/changelog ===
whoopsie (0.2.13) raring; urgency=low

  * Do not leak when CURL cannot be initialised. Tear down the directory
    monitors in the test cases. Cast to correct arguments when setting
    up a report processing timeout.
  * Don't try to connect signals to NULL objects.
  * Don't look for reports in /var/crash when running the valgrind
    tests. Makefile
  * Set up /var/crash earlier and with the correct permissions, while we
    still have root.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 12 Feb 2013 15:12:02 +0000

whoopsie (0.2.12) raring; urgency=low

  * g_type_init is deprecated in 2.35/2.36 according to the buildds.
  * Put src/ in the library path when running whoopsie under the
    valgrind test.
  * Fix memory leak when the .upload file does not exist when checking
    to see if a report has already been handled. Thanks Colin Watson.
  * Use glib memory allocation everywhere.
  * Fix a leak if we cannot get the default network monitor.
  * Don't initialise the W32 bits in CURL.
  * Don't initialise curl until we're ready to use it.
  * Actually pass the report directory to process_existing_files at the
    timeout interval.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 05 Feb 2013 17:12:18 +0000

whoopsie (0.2.11) raring; urgency=low

  * Build-depend on valgrind.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 29 Jan 2013 20:23:54 +0000

whoopsie (0.2.10) quantal; urgency=low

  * smatch-detected redundant null check. 'If ptr is NULL, no operation
    is performed.'
  * valgrind-discovered leak in process_existing_files when the crash
    report has already been handled.
  * Clean up after the directory monitor when we're done with it.
  * Stop monitoring for connectivity on shutdown.
  * Use libnm-glib instead of DBus for communicating with
    NetworkManager. This fixes a hard-to-trace memory leak in our usage
    of gvariant.
  * Fix a socket leak found by Coverity.
  * Finally check the mkdir call for the /var/crash directory, now that
    Coverity is complaining about it.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 29 Jan 2013 20:20:04 +0000

whoopsie (0.2.9) raring; urgency=low

  * Do not modify the .uploaded file corresponding to a .crash file when
    starting up (LP: #1084311)

 -- Brian Murray <brian@ubuntu.com>  Tue, 11 Dec 2012 10:16:56 -0800

whoopsie (0.2.8) raring; urgency=low

  * Fix /whoopsie/get-mac-address test. This test previously hardcoded "eth0"
    for comparing the MAC against. eth0 is not guaranteed to exist, and
    whoopsie might use another device instead (such as wlan0).
    Change the test to require that whoopsie_identifier_get_mac_address()
    matches any network device instead.
  * Run as non-root when specifying additional environment variables. We
    mostly need root privileges for determining the system UUID and for
    creating the lock file. When testing, it is often convenient to run this
    with a predictable fake UUID and a temporary report directory, so start
    without root privileges if $CRASH_DB_IDENTIFIER is provided.  Just like
    Apport, also respect $APPORT_REPORT_DIR to use a different report
    directory. If this is given, create the lock file there instead of in
    /var/lock/whoopsie/. 
  * Fix all compiler warnings:
    - Add some missing #includes
    - Fix version parsing in src/tests/Makefile
    - Fix broken function declarations
    - Move non-test code into #ifndef TEST section

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Dec 2012 11:49:49 +0100
