## whoopsie 0.2.13ubuntu1

=== debian/changelog ===
whoopsie (0.2.13ubuntu1) raring; urgency=low

  * Do not start whoopsie if ubiquity presence is detected, as it causes
    failures to install/oem-configure. Regression between 0.2.9 - 0.2.13.
    See http://pad.lv/1123798 for history.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 18 Feb 2013 16:40:24 +0000
