## whoopsie 0.2.15

=== Makefile ===
--- 
+++ 
@@ -9,10 +9,10 @@
 				 $(shell libgcrypt-config --libs) \
 				 $(LDFLAGS)
 
-whoopsie_CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl libnm-glib) \
+whoopsie_CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl) \
 	   -g -Ilib -Wall -Werror -Os -DVERSION=\"$(VERSION)\" \
 	   $(CFLAGS) $(CPPFLAGS)
-whoopsie_LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl libnm-glib) -lcap \
+whoopsie_LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) -lcap \
 			  $(LDFLAGS)
 SOURCES=src/whoopsie.c \
 		src/utils.c \
