=== debian/changelog ===
whoopsie (0.2.15) raring; urgency=low

  * Bring back old GDBus code to talk to NetworkManager as a workaround
    for LP: #1124330.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 26 Feb 2013 10:51:11 +0000

whoopsie (0.2.14) raring; urgency=low

  * Don't crash when there are no active connections. Thanks Ben
    Collins.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 20 Feb 2013 18:17:21 +0000
