=== debian/changelog ===
whoopsie (0.2.15.1) raring-proposed; urgency=low

  * Continue to process the existing crash reports every two hours, not
    just once after two hours (LP: #1205374).

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 26 Jul 2013 16:15:42 +0100
