=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  libgcrypt11-dev,
  libcap-dev,
  libgtk-3-dev,
- libnm-glib-dev,
  network-manager-dev (>= 0.9.4.0-0ubuntu1),
  python,
  valgrind,
