## whoopsie 0.2.24.1

=== debian/changelog ===
whoopsie (0.2.24.1) saucy; urgency=low

  * Fix !arm64 build.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 16 Oct 2013 09:53:22 +0100

whoopsie (0.2.24) saucy; urgency=low

  * Do not run valgrind tests, when not available.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 16 Oct 2013 09:40:03 +0100

whoopsie (0.2.23) saucy; urgency=low

  * Don't lower the refcount to 0 on the system bus until shutdown, when
    the application is done using it (LP: #1211417).
  * Clean up calls to g_variant_get. Don't bother sinking the reference
    before calling our own functions.
  * Fix test_get_system_uuid unit test leaking memory.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 16 Aug 2013 14:54:08 +0100

whoopsie (0.2.22) saucy; urgency=low

  * Add an option to assume there is always a route to $CRASH_DB_URL.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 15 Aug 2013 08:35:13 +0100

whoopsie (0.2.21) saucy; urgency=low

  * Fix logically dead code path. Thanks Coverity (CID 989205).
  * Don't leak a socket if we cannot get the list of network interfaces.
    Thanks Coverity (CID 971184).
  * Avoid a potential null pointer dereference.
  * Always log messages via the logging code, never straight to stdout.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 14 Aug 2013 14:02:26 +0100

whoopsie (0.2.20) saucy; urgency=low

  * Don't fail if the temporary file in the logging test has already
    gone away.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 12 Aug 2013 09:43:25 +0100

whoopsie (0.2.19) saucy; urgency=low

  * Better handle stat calls in logging test.
  * If APPORT_REPORT_DIR is set to a nul-byte, fall back to the default.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 09 Aug 2013 16:46:20 +0100

whoopsie (0.2.18) saucy; urgency=low

  * Debugging why the buildds cannot remove the temporary files created
    for the logging tests.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 09 Aug 2013 15:57:54 +0100

whoopsie (0.2.17) saucy; urgency=low

  * Log to syslog.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 09 Aug 2013 11:34:05 +0100

whoopsie (0.2.16) saucy; urgency=low

  * Continue to process the existing crash reports every two hours, not
    just once after two hours (LP: #1205374).

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 26 Jul 2013 16:17:31 +0100
