## whoopsie 0.2.24.1.2

=== debian/changelog ===
whoopsie (0.2.24.1.2) saucy; urgency=medium

  * Do not send Stacktrace, and ThreadStacktrace as retracing with ddebs will
    provide more useful versions of them. (LP: #1306175)

 -- Brian Murray <brian@ubuntu.com>  Mon, 14 Apr 2014 14:23:24 -0700

whoopsie (0.2.24.1.1) saucy; urgency=low

  * Close and reopen the log file so that the file descriptor is not closed
    when daemonizing. (LP: #1245524)
  * Move whoopsie starting up message out of open_log so that it is not
    called multiple times when starting whoopsie.
  * Do not close the locking file descriptor when daemonizing.
  * Duplicate the APPORT_REPORT_DIR env as a string so that it is overwritten
    by the next call to g_getenv().
  * Use g_getenv when finding an enviornmental variable.

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 Jan 2014 07:27:32 -0800
