## whoopsie 0.2.24.5

=== debian/changelog ===
whoopsie (0.2.24.5) trusty; urgency=medium

  * Do not send Stacktrace, and ThreadStacktrace as retracing with ddebs will
    provide more useful versions of them. (LP: #1306175)

 -- Brian Murray <brian@ubuntu.com>  Thu, 10 Apr 2014 10:58:39 -0700

whoopsie (0.2.24.4) trusty; urgency=low

  * Close and reopen the log file so that the file descriptor is not closed
    when daemonizing. (LP: #1245524)

 -- Brian Murray <brian@ubuntu.com>  Tue, 21 Jan 2014 08:23:30 -0800

whoopsie (0.2.24.3) trusty; urgency=medium

  * Don't use valgrind altogether, reporting unrelated leakage.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Dec 2013 20:15:10 +0000

whoopsie (0.2.24.2) trusty; urgency=medium

  * Don't use valgrind on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 17:16:25 +0100
