## whoopsie 0.2.24.6ubuntu4

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 		src/utils.c \
 		src/connectivity.c \
 		src/monitor.c \
+		src/logging.c \
 		lib/bson/bson.c \
 		lib/bson/encoding.c \
 		lib/bson/numbers.c
@@ -49,7 +50,9 @@
 		cppcheck . --error-exitcode=1; \
 	fi
 	find -name "*.py" | xargs pyflakes
-	@APPORT_REPORT_DIR=$(shell mktemp -d) ./tools/check_valgrind
+	if type valgrind >/dev/null 2>&1; then \
+		APPORT_REPORT_DIR=$(shell mktemp -d) ./tools/check_valgrind; \
+	fi
 coverage:
 	$(MAKE) -C src/tests coverage
 %.o: %.c
