=== src/tests/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 test_parse_report_SOURCES=test_parse_report.c \
 							../whoopsie.c \
+							../logging.c \
 							../utils.c \
 							../identifier.c \
 							../../lib/bson/bson.c \
@@ -22,6 +23,7 @@
 
 test_monitor_SOURCES=test_monitor.c \
 					../monitor.c \
+					../logging.c \
 					../utils.c
 test_monitor_EXECUTABLE=test_monitor
 test_monitor_OBJECTS=$(test_monitor_SOURCES:.c=.test.o)
@@ -31,11 +33,16 @@
 test_identifier_EXECUTABLE=test_identifier
 test_identifier_OBJECTS=$(test_identifier_SOURCES:.c=.test.o)
 
+test_logging_SOURCES=test_logging.c \
+					../logging.c
+test_logging_EXECUTABLE=test_logging
+test_logging_OBJECTS=$(test_logging_SOURCES:.c=.test.o)
+
 .PHONY: all clean check
 
 all: check
 
-check: $(test_parse_report_EXECUTABLE) $(test_utils_EXECUTABLE) $(test_monitor_EXECUTABLE) $(test_identifier_EXECUTABLE)
+check: $(test_parse_report_EXECUTABLE) $(test_utils_EXECUTABLE) $(test_monitor_EXECUTABLE) $(test_identifier_EXECUTABLE) $(test_logging_EXECUTABLE)
 	$(foreach p, $^, ./$p -k;)
 
 $(test_parse_report_EXECUTABLE): $(test_parse_report_OBJECTS)
@@ -46,6 +53,8 @@
 	$(CC) -std=c99 $^ $(LIBS) -o $@
 $(test_identifier_EXECUTABLE): $(test_identifier_OBJECTS)
 	$(CC) -std=c99 $^ $(LIBS) -o $@
+$(test_logging_EXECUTABLE): $(test_logging_OBJECTS)
+	$(CC) -std=c99 $^ $(LIBS) -o $@
 
 test_parse_report_coverage: $(test_parse_report_OBJECTS:.test.o=.coverage.o)
 	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
@@ -55,7 +64,9 @@
 	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
 test_identifier_coverage: $(test_identifier_OBJECTS:.test.o=.coverage.o)
 	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
-coverage: test_parse_report_coverage test_utils_coverage test_monitor_coverage test_identifier_coverage
+test_logging_coverage: $(test_logging_OBJECTS:.test.o=.coverage.o)
+	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
+coverage: test_parse_report_coverage test_utils_coverage test_monitor_coverage test_identifier_coverage test_logging_coverage
 	$(foreach p, $^, ./$p -k;)
 	$(foreach p, $(wildcard ../*.c), gcov $p -o $(p:.c=.coverage.o);)
 
@@ -68,9 +79,11 @@
 		$(test_monitor_EXECUTABLE) \
 		$(test_identifier_OBJECTS) \
 		$(test_identifier_EXECUTABLE) \
+		$(test_logging_EXECUTABLE) \
 		test_parse_report_coverage \
 		test_utils_coverage \
 		test_identifier_coverage \
+		test_logging_coverage \
 		coverage
 	find ../.. \( -name '*.coverage.o' -o \
 		-name '*.gcda' -o \
