=== debian/changelog ===
whoopsie (0.2.24.6ubuntu4) trusty-proposed; urgency=medium

  * src/whoopsie.c: Add ProcCpuinfoMinimal which can be larger than 1KB to the
    list of accepted fields. (LP: #1673557)

 -- Brian Murray <brian@ubuntu.com>  Fri, 12 May 2017 10:25:00 -0700

whoopsie (0.2.24.6ubuntu3) trusty-proposed; urgency=medium

  * Allow uploading of any field with data less than 1KB, creating a whitelist
    of fields with large data, and a blacklist of fields we don't want in the
    Error Tracker. (LP: #1616559)
  * src/whoopsie.c: Add fields from package management applications that can
    be larger than 1KB to the list of accepted fields. (LP: #1616517)

 -- Brian Murray <brian@ubuntu.com>  Tue, 23 Aug 2016 17:17:02 -0700

whoopsie (0.2.24.6ubuntu2) trusty-proposed; urgency=medium

  * src/whoopsie.c: Send UnreportableReason to the Error Tracker that way we
    know apport's opinion of the crash. (LP: #1382233)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Nov 2015 13:24:00 -0800

whoopsie (0.2.24.6ubuntu1) trusty-proposed; urgency=medium

  * Merge patch from Bryan Quigley to only log when whoopsie's state changes.
    (LP: #1217407)

 -- Brian Murray <brian@ubuntu.com>  Mon, 02 Feb 2015 14:28:08 -0800

whoopsie (0.2.24.6) trusty-proposed; urgency=medium

  * Log the OOPS ID (returned by daisy) for the reported crash. (LP: #1326000)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Jun 2014 11:03:32 -0700
