=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  libgtk-3-dev,
  network-manager-dev (>= 0.9.4.0-0ubuntu1),
  python,
- valgrind [!arm64],
  pyflakes
 Standards-Version: 3.9.3
 Homepage: http://wiki.ubuntu.com/ErrorTracker
