## whoopsie 0.2.39

=== debian/changelog ===
whoopsie (0.2.39) utopic; urgency=medium

  * Use G_SOURCE_CONTINUE and G_SOURCE_REMOVE for GSourceFunc return values,
    for clarity
  * tests/monitor: Call g_main_loop_quit from a callback function which
    removes the source instead of directly. GSourceFuncs need to return a
    boolean to say if they should be executed again or not. (LP: #1381804)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 16 Oct 2014 10:32:22 +0100

whoopsie (0.2.38) utopic; urgency=medium

  [ Evan Dandrea ]
  * Run all the tests, then exit on failure.

  [ Brian Murray ]
  * Add _MarkForUpload field to the blacklist as it is redundant.
  * Make whoopsie_identifier_generate() stable throughout the system boot.
    Thanks Dimitri. (LP: #1339916)
  * Temporarily disable test_identifier test as it has never worked when
    building the package.
  * Create /var/lib/whoopsie and store the identifier there in whoopsie-id.

 -- Brian Murray <brian@ubuntu.com>  Thu, 09 Oct 2014 15:58:48 -0700

whoopsie (0.2.37) utopic; urgency=medium

  [ Evan Dandrea ]
  * Attempt to use the android serial number before falling back to the
    system UUID. Thanks Dimitri.
  * Log in more parts of the connectivity check.
  * Provide timestamps when logging to the foreground.

  [ Brian Murray ]
  * Merge Ted's branch that allows uploading of any field with data less than
    1KB, creating a whitelist of fields with large data, and a blacklist of
    fields we don't want in the error tracker.
  * Fix bug in how timestamps are provided.

 -- Brian Murray <brian@ubuntu.com>  Thu, 28 Aug 2014 15:25:15 -0700

whoopsie (0.2.36) utopic; urgency=medium

  * In the apport package hook switch from searching syslog for whoopsie
    messages and instead upload /var/log/upstart/whoopsie.log.
  * src/whoopsie.c: include SystemImageInfo in the data uploaded to errors.

 -- Brian Murray <brian@ubuntu.com>  Tue, 29 Jul 2014 13:49:36 -0700

whoopsie (0.2.35) utopic; urgency=medium

  [ Brian Murray ]
  * Add a space before the autoreport tag in bug reports.

  [ Martin Pitt ]
  * data/whoopsie.conf: Start whoopsie in the foreground and drop the "expect
    fork". This provides proper logging to /var/log/upstart/, simplifies
    things for upstart, and also curiously seems to cause crash reports to now
    actually get picked up and uploaded. (LP: #1340604)
  * debian/control: Fix Vcs-* tags to make debcheckout actually work.
  * Bump Standards-Version to 3.9.5 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Jul 2014 14:36:06 +0200

whoopsie (0.2.34) utopic; urgency=medium

  [ John Lenton ]
  * Obtain a MAC address for system identifier generation even if the network
    is not up. (LP: #1328285)

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 Jul 2014 11:44:26 -0700

whoopsie (0.2.33) utopic; urgency=medium

  * Log the OOPS ID (returned by daisy) in another case.

 -- Brian Murray <brian@ubuntu.com>  Thu, 26 Jun 2014 09:10:28 -0700

whoopsie (0.2.32) utopic; urgency=medium

  * Gather autoreport and apport-noui information in the package hook. Also
    check syslog for information from whoopsie.

 -- Brian Murray <brian@ubuntu.com>  Mon, 23 Jun 2014 09:44:20 -0700

whoopsie (0.2.31) utopic; urgency=medium

  * Log the OOPS ID (returned by daisy) for the reported crash. (LP: #1326000)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Jun 2014 10:49:55 -0700

whoopsie (0.2.30) utopic; urgency=medium

  * Clean up src/tests/test_logging.test.o.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 02 Jun 2014 17:42:27 +0100

whoopsie (0.2.29) utopic; urgency=medium

  [ John Lenton ]
  * Depend on gio in libwhoopsie.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 02 Jun 2014 14:56:25 +0100

whoopsie (0.2.28) utopic; urgency=medium

  * Fix FTBFS.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 02 Jun 2014 11:19:57 +0100

whoopsie (0.2.27) utopic; urgency=medium

  [ Brian Murray ]
  * Log that we are offline because we are using a network connection where
    one may have to pay for data usage.

  [ John Lenton ]
  * Ask ofono for the IMEI as an id source.
  * Don't return null string during session start (LP: #1311571).
  * Fix attempting to remove a source that has already been removed.

  [ Ted Gould ]
  * Don't break if whoopsie is running (i.e. developer system).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 02 Jun 2014 11:10:40 +0100

whoopsie (0.2.26) utopic; urgency=medium

  * Add systemd unit. (LP: #1314413)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 May 2014 10:04:10 +0200

whoopsie (0.2.25) utopic; urgency=medium

  * Collect iwl firmware debugging dumps.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 29 Apr 2014 12:00:21 +0100
