=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Evan Dandrea <ev@ubuntu.com>
 Build-Depends: debhelper (>= 9.0),
- libglib2.0-dev (>= 2.31.6),
+ dh-systemd,
+ libglib2.0-dev (>= 2.32),
  libcurl4-openssl-dev,
  libgcrypt11-dev,
  libcap-dev,
@@ -11,9 +12,10 @@
  network-manager-dev (>= 0.9.4.0-0ubuntu1),
  python,
  pyflakes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://wiki.ubuntu.com/ErrorTracker
-Vcs-Bzr: http://code.launchpad.net/whoopsie
+Vcs-Bzr: lp:whoopsie
+Vcs-Browser: http://bazaar.launchpad.net/~daisy-pluckers/whoopsie/trunk/
 
 Package: whoopsie
 Architecture: any
