## whoopsie 0.2.39ubuntu0.2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 libwhoopsie_CFLAGS=$(shell pkg-config --cflags glib-2.0) \
 				   $(shell libgcrypt-config --cflags) \
 				   $(CFLAGS) $(CPPFLAGS)
-libwhoopsie_LIBS=$(shell pkg-config --libs glib-2.0) \
+libwhoopsie_LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0) \
 				 $(shell libgcrypt-config --libs) \
 				 $(LDFLAGS)
 
@@ -62,7 +62,9 @@
 	install -d $(BIN)
 	install src/whoopsie $(BIN)
 	install -d $(DATA)/init
+	install -d $(DESTDIR)/lib/systemd/system
 	install -m644 data/whoopsie.conf $(DATA)/init
+	install -m644 data/whoopsie.service $(DESTDIR)/lib/systemd/system
 	install -d $(DATA)/default
 	install -m644 data/whoopsie $(DATA)/default
 	install -d $(DESTDIR)/usr/share/apport/package-hooks
