=== src/tests/Makefile ===
--- 
+++ 
@@ -28,10 +28,10 @@
 test_monitor_EXECUTABLE=test_monitor
 test_monitor_OBJECTS=$(test_monitor_SOURCES:.c=.test.o)
 
-test_identifier_SOURCES=test_identifier.c \
+#test_identifier_SOURCES=test_identifier.c \
 					../identifier.c
-test_identifier_EXECUTABLE=test_identifier
-test_identifier_OBJECTS=$(test_identifier_SOURCES:.c=.test.o)
+#test_identifier_EXECUTABLE=test_identifier
+#test_identifier_OBJECTS=$(test_identifier_SOURCES:.c=.test.o)
 
 test_logging_SOURCES=test_logging.c \
 					../logging.c
@@ -42,8 +42,11 @@
 
 all: check
 
-check: $(test_parse_report_EXECUTABLE) $(test_utils_EXECUTABLE) $(test_monitor_EXECUTABLE) $(test_identifier_EXECUTABLE) $(test_logging_EXECUTABLE)
-	$(foreach p, $^, ./$p -k;)
+check: $(test_parse_report_EXECUTABLE) $(test_utils_EXECUTABLE) $(test_monitor_EXECUTABLE) $(test_logging_EXECUTABLE)
+	@r=0; for t in $^; do \
+		./$$t -k || r=1; \
+	done; \
+	exit $$r;
 
 $(test_parse_report_EXECUTABLE): $(test_parse_report_OBJECTS)
 	$(CC) -std=c99 $^ $(LIBS) -o $@
@@ -51,8 +54,8 @@
 	$(CC) -std=c99 $^ $(LIBS) -o $@
 $(test_monitor_EXECUTABLE): $(test_monitor_OBJECTS)
 	$(CC) -std=c99 $^ $(LIBS) -o $@
-$(test_identifier_EXECUTABLE): $(test_identifier_OBJECTS)
-	$(CC) -std=c99 $^ $(LIBS) -o $@
+#$(test_identifier_EXECUTABLE): $(test_identifier_OBJECTS)
+	#$(CC) -std=c99 $^ $(LIBS) -o $@
 $(test_logging_EXECUTABLE): $(test_logging_OBJECTS)
 	$(CC) -std=c99 $^ $(LIBS) -o $@
 
@@ -67,7 +70,10 @@
 test_logging_coverage: $(test_logging_OBJECTS:.test.o=.coverage.o)
 	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
 coverage: test_parse_report_coverage test_utils_coverage test_monitor_coverage test_identifier_coverage test_logging_coverage
-	$(foreach p, $^, ./$p -k;)
+	@r=0; for t in $^; do \
+		./$$t -k || r=1; \
+	done; \
+	exit $$r;
 	$(foreach p, $(wildcard ../*.c), gcov $p -o $(p:.c=.coverage.o);)
 
 clean:
@@ -80,6 +86,7 @@
 		$(test_identifier_OBJECTS) \
 		$(test_identifier_EXECUTABLE) \
 		$(test_logging_EXECUTABLE) \
+		$(test_logging_OBJECTS) \
 		test_parse_report_coverage \
 		test_utils_coverage \
 		test_identifier_coverage \
