=== debian/changelog ===
whoopsie (0.2.39ubuntu0.2) utopic-proposed; urgency=medium

  * Merge patch from Bryan Quigley to only log when whoopsie's state changes.
    (LP: #1217407)

 -- Brian Murray <brian@ubuntu.com>  Mon, 02 Feb 2015 14:18:29 -0800

whoopsie (0.2.39ubuntu0.1) utopic-proposed; urgency=medium

  * Change ownership of whoopsie-id so that it is not world readable.
    (LP: #1386752)

 -- Brian Murray <brian@ubuntu.com>  Wed, 29 Oct 2014 12:26:29 -0700
