=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,9 @@
 export DESTDIR=$(CURDIR)/debian/whoopsie
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_installinit:
+	dh_systemd_enable
 	dh_installinit -pwhoopsie -o --upstart-only
+	dh_systemd_start
